Bug 542463 - Review Request: zaz - A puzzle game where the player has to arrange balls in triplets
Review Request: zaz - A puzzle game where the player has to arrange balls in ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On: 542461
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-29 16:00 EST by Andrea Musuruane
Modified: 2010-01-03 12:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-22 15:06:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xavier: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrea Musuruane 2009-11-29 16:00:29 EST
Spec URL: http://musuruan.fedorapeople.org/zaz.spec
SRPM URL: http://musuruan.fedorapeople.org/zaz-0.3.0-1.fc12.src.rpm
Description:
Zaz is an arcade action puzzle game where the goal is to get rid of all 
incoming balls by rearranging their order and making triplets.
It currently includes 6 different levels. The game's name is recursive and 
stands for "Zaz ain't Z".
Notes:
F12+ only. It requires digna-fonts.
Comment 1 Andrea Musuruane 2009-12-12 05:30:21 EST
Spec URL: http://musuruan.fedorapeople.org/zaz.spec
SRPM URL: http://musuruan.fedorapeople.org/zaz-0.3.0-2.fc12.src.rpm

Changelog:
- Now Requires renamed Digna font package (BZ #542461)
Comment 2 Xavier Bachelot 2009-12-20 17:46:05 EST
OK: spec file is properly named
OK: package is properly named
OK: Spec is legible
NOK: use of macros is consistent
OK: tarball match upstream :
d0e625ee9b8d4823955686048ac69d0a  zaz-0.3.0.tar.gz
OK: License field match the actual license and is acceptable
Ok: BuildRoot is correct
OK: BuildRequires and Requires are correct
OK: no bundled copied of libraries
OK: Desktop file is validated and installed
OK: scriplets are correct.
OK: locales are properly handled
OK: defattr is correct
OK: %doc is correct
Ok: builds in mock
OK: all files and directories are properly packaged
Ok: doesn't own dirs it shouldn't
OK: files/dirs perms are correct
OK; rpmlint output is clean ;
zaz.i686: W: dangling-symlink /usr/share/zaz/FreeSans.ttf /usr/share/fonts/gnu-free/FreeSans.ttf
zaz.i686: W: dangling-symlink /usr/share/zaz/font1.ttf /usr/share/fonts/oflb-dignas-handwriting/phranzysko_-_Digna_s_Handwriting.ttf
zaz.i686: W: dangling-symlink /usr/share/zaz/FreeMonoBold.ttf /usr/share/fonts/gnu-free/FreeMonoBold.ttf
3 packages and 0 specfiles checked; 0 errors, 3 warnings.
These 3 are expected and can be ignored.
Ok: final provides and requires are correct


Note :
typo in %prep section :
# Fix premissions
       ^^

Please fix use of macros, there is a spurious %{buildroot} when installing the icon, then this package is APPROVED.
Comment 3 Andrea Musuruane 2009-12-21 04:53:00 EST
Thank you for your review. I'll update this package to fix the small issues you found before committing it to cvs.
Comment 4 Andrea Musuruane 2009-12-21 04:54:31 EST
New Package CVS Request
=======================
Package Name: zaz
Short Description: A puzzle game where the player has to arrange balls in triplets
Owners: musuruan
Branches: F-12
InitialCC:
Comment 5 Kevin Fenzi 2009-12-21 15:02:15 EST
cvs done.
Comment 6 Andrea Musuruane 2009-12-22 15:06:36 EST
Built and published. Closing.

Note You need to log in before you can comment on or make changes to this bug.